:root {
    --main-bg-color: brown;
    --aside-w: 200px;
    --article-w: ;
    --logo-w: 200px;
    --header-h: 60px;
    --fotter-h: 80px;
    /* CODIGOS DE COLORES */
    --text-primary-color: #FFFFFF;
    --dark-primary-color: #00796B;
    --default-primary-color: #009688;
    --light-primary-color: #B2DFDB;
    --text-primary-color: #FFFFFF;
    --accent-color: #009688;
    --primary-text-color: #212121;
    --secondary-text-color: #757575;
    --divider-color: #BDBDBD;
}

/* CODIGOS DE COLORES */

.text-primary-color {
    background: #FFFFFF
}

.dark-primary-color {
    background: #00796B
}

.default-primary-color {
    background: #009688
}

.light-primary-color {
    background: #B2DFDB
}

.text-primary-color {
    background: #FFFFFF
}

.accent-color {
    background: #009688
}

.primary-text-color {
    background: #212121
}

.secondary-text-color {
    background: #757575
}

.divider-color {
    background: #BDBDBD
}

/* ESTILOS FORMATO TEXTO */

.text-center {
    text-align: center;
}

.text-left {
    text-align: left;
}

.text-right {
    text-align: right;
}

html, body {
    width: 100%;
    height: 100%;
    padding: 0;
    margin: 0;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

p, span, a, ul, li {
    margin: 0;
    padding: 0;
    text-decoration: none;
}

a:hover{
    cursor: pointer;
}

a:link, a:hover, a:visited {
    color: black;
    text-decoration: none
}

body {
    display: inline-block;
}

header, aside, section, footer {
    padding: .5rem;
    position: relative;
}

header {
    background-color: var(--dark-primary-color);
    height: var(--header-h);
}

main {
    height: calc(100% - var(--fotter-h) - var(--header-h));
}

aside {
    background-color: var(--text-primary-color);
    height: 100%;
    width: var(--aside-w);
    float: left;
    transition: all 1s;
    border-right: solid 1px var(--divider-color);
}

section {
    height: 100%;
}

footer {
    width: 100%;
    height: var(--fotter-h);
    float: inline-end;
    color: var(--text-primary-color);
    background-color: var(--dark-primary-color);
    bottom: 0;
}

.logo {
    float: left;
    display: inline;
    width: var(--logo-w);
}

.logo img {
    height: calc(var(--header-h) - 1rem);
}

.top-menu {
    float: left;
    width: calc(98% - var(--logo-w));
}

.top-menu ul {
    height: calc(var(--header-h) - 1rem);
    list-style: none;
    display: inline-block;
}

.top-menu li {
    float: left;
    color: var(--text-primary-color);
}

.top-menu li a {
    padding-top: 0.6rem;
    padding-left: 0.6rem;
    padding-right: 0.6rem;
    height: 2.6rem;
    display: inline-block;
    color: var(--text-primary-color);
}

.top-menu li:hover {
    background-color: rgba(10, 0, 0, 0.2);
    border-radius: .25rem;
    box-shadow: #212121 1px 1px 1px inset, #212121 -1px -1px 1px inset;
}

.menu ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
}

.menu li {
    padding: 8px;
    margin-bottom: 1px;
    color: var(--secondary-text-color);
    font-weight: bolder;
    border-bottom: solid 1px var(--divider-color);
    /* box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24); */
}

.top-menu li a {
    color: var(--text-primary-color);
    font-weight: bold;
}

.menu li a {
    color: var(--primary-text-color);
    font-weight: bold;
}

.menu li:hover {
    background-color: rgba(10, 0, 0, 0.2);
}

#btn-menu {
    width: 28px;
    height: 28px;
    position: fixed;
    z-index: 1000;
    left: calc(var(--logo-w) - 20px);
    top: 15px;
    background-image: repeating-linear-gradient( 0deg, var(--text-primary-color), var(--text-primary-color) 5px, transparent 5px, transparent 10px);
    transition: 1s;
}

.show-menu {
    display: block;
    /* position: fixed; */
    margin-left: 0!important;
}

.show-menu #btn-menu {
    background-image: repeating-linear-gradient( 45deg, transparent, transparent 18px, #FFFFFF 18px, #FFFFFF 23px), repeating-linear-gradient( -45deg, transparent, transparent 18px, #FFFFFF 18px, #FFFFFF 23px);
    border-radius: .5rem;
}

@media only screen and (max-width: 52rem) {
    #btn-menu {
        display: block;
    }
    aside {
        margin-left: calc(var(--aside-w)*-1);
    }
    section {
        width: 100%;
    }
}

@media only screen and (min-width: 52rem) {
    #btn-menu {
        display: none;
    }
    /* aside {
        transition: 1s;
    } */
    section {
        width: calc(100% - var(--aside-w));
        float: right;
    }
}